package org.jeecg.modules.fileupload.mapper;

import java.util.List;
import java.util.Map;

import cn.com.ctop.common.module.utils.ExternalMaterialCollection;
import cn.com.ctop.crawler.modules.kuaishoucce.entity.KuaishouHotPhotoInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 外部素材集信息表
 * @author jeecg-boot
 * 2022-01-12
 * @version V1.0
 */
public interface ExternalMaterialCollectionMapper extends BaseMapper<ExternalMaterialCollection> {

    void replaceBatch(List<ExternalMaterialCollection> list);

    Long getListTotal(ExternalMaterialCollection externalMaterialCollection);

    List<ExternalMaterialCollection> queryPageList(ExternalMaterialCollection externalMaterialCollection);

    List<Map<String,String>> getIndustryLabel();

    List<JSONObject> getParentIndustryLabel();

    List<JSONObject> getMd5ByMediaType(@Param("mediaType") Integer mediaType);

    List<ExternalMaterialCollection> getKuaiShouInternalMaterial(@Param("md5List")  List<JSONObject> md5List);

    List<ExternalMaterialCollection> getBytedanceInternalMaterial(@Param("md5List")  List<JSONObject> md5List);
}
